Title: inwebc
Author: Graham Nelson
Purpose: A simple literate programming tool intended for medium-sized and large programs.
Language: C
Licence: This is a free, open-source program published under the Artistic License 2.0.
Build Number: 6/110818 ('The Zarbi')
Build Date: August 2011

Preliminaries
	The inweb Manual
	Inweb vs Cweb

Chapter 1: Top Level
"Utilities for managing memory allocation and the parsing of text."
	Basics
	Memory
	Text Files
	Pattern Matching

Chapter 2: Top Level
"Dealing with the user, and deciding what is to be done."
	Program Control
	Command Line Arguments
	Error Messages

Chapter 3: Parsing a Web
"Reading in the entire text of the web, parsing its structure and looking for
identifier names within it."
	Bibliographic Data
	Line Categories
	Reading Sections
	The Parser
	Paragraph Numbering

Chapter 4: Outputs
"Either weaving part or all of the web into a typeset form for human eyes
(or a swarm of many such parts), or tangling the web into an executable program,
or analysing the web to provide diagnostics on it."
	The Analyser
	The Swarm
	The Weaver
	The Tangler

Chapter 5: Languages
	Programming Languages
	C-Like Languages
	C for Inform

Chapter 6: Formats
	Weave Formats
	Plain Text Format
	TeX Format
	HTML Formats
	Running Through TeX
